#
# spec file for package ruby-common
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ruby-common
Version:        2.1
Release:        106.3
Summary:        ruby packaging scripts and macros
License:        MIT
URL:            https://github.com/openSUSE/ruby-packaging/
Source1:        gemrc
Source2:        ruby-common.macros
Source3:        ruby.rpm-macros
Source4:        rubygems.attr
Source5:        gem_build_cleanup
Source6:        gem_install.sh
Source7:        gem_packages.sh
Source8:        openEuler.spec.erb
Source9:        generate_buildrequires.sh
Source10:       rubygemsdeps.rb
Source11:       ruby-find-versioned

Requires:       fdupes rubygem(gem2rpm) util-linux
Recommends:     rubygem(%{rb_default_ruby_abi}:gem2rpm)

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

Provides:       ruby-macros = 5

%description
This package is used for generatting ruby gems. It provides hooks for
automatic rpm provides, requires and macros that gem2rpm uses.

%prep

%build

%install
install -D -m 0644 %{SOURCE1}  %{buildroot}/etc/gemrc
install -D -m 0644 %{SOURCE2}  %{buildroot}/etc/rpm/macros.ruby-common
install -D -m 0644 %{SOURCE3}  %{buildroot}/etc/rpm/macros.openEuler-ruby
install -D -m 0644 %{SOURCE4}  %{buildroot}/usr/lib/rpm/fileattrs/rubygems.attr
install -D -m 0755 %{SOURCE5}  %{buildroot}/usr/lib/rpm/gem_build_cleanup.sh
install -D -m 0755 %{SOURCE6}  %{buildroot}/usr/lib/rpm/gem_install.sh
install -D -m 0755 %{SOURCE7}  %{buildroot}/usr/lib/rpm/gem_packages.sh
install -D -m 0644 %{SOURCE8}  %{buildroot}/usr/lib/rpm/gem_packages.template
install -D -m 0755 %{SOURCE9}  %{buildroot}/usr/lib/rpm/generate_buildrequires.sh
install -D -m 0755 %{SOURCE10} %{buildroot}/usr/lib/rpm/rubygemsdeps.rb
install -D -m 0755 %{SOURCE11} %{buildroot}%{_bindir}/ruby-find-versioned

%files
%defattr(-,root,root)
%config /etc/gemrc
%config /etc/rpm/macros.*
%dir /usr/lib/rpm/fileattrs
%exclude /usr/lib/rpm/fileattrs/*
/usr/lib/rpm/ge*
/usr/lib/rpm/rubygemsdeps.rb
%{_bindir}/ruby-find-versioned

%changelog
* Sat Mar 21 2020 Shuaishuai Song <songshuaishuai2@huawei.com> - 2.1-106.3
- fix install file conflict
* Mon Mar 9 2020 hy <eulerstoragemt@huawei.com> - 2.1-106.2
- Package init
